
*:focus {
    outline: none;
}


::-webkit-scrollbar {
    width: 5px;
    height: 15px;
}

::-webkit-scrollbar-track-piece  {
    background-color: #c2d2e452;
	border-radius:100px;
}

::-webkit-scrollbar-thumb:vertical {
    height: 40px;
    background-color: #ffffff4d;
	border-radius:30px;
}



@font-face{
	font-family:topBar;
	src:url("fonts/Modeka.otf");
}

@font-face{
  font-family:siteName;
  src:url("fonts/JuliusSansOne.ttf") format('truetype');
    font-weight: normal;
    font-style: normal;
}		   


body{
	background:rgb(44, 44, 44);
	/*background:url('https://picsum.photos/1920/1080');*/
	overflow-x: hidden;
	overflow-y: hidden;

}

#logo{
	position: absolute;
	top: 13px;
	left:10px;
	width:40px;
}

.con{
	color:white;
	position: absolute;
	font-family:topBar;
	text-transform:capitalize;
	margin-bottom:5px;

	width:100%;
	height:100%;
	top:0px;
	left:0px;
	background:url("https://source.unsplash.com/collection/56878848/1920x1080");
	background-repeat: no-repeat;
	background-size: cover;
	animation:backgroundCon 2s ;
}


.siteName{

	font-family: siteName;
	font-size:150px;
	text-align: center;
	margin-top: 13%;
	transition:linear 0.3s;

	/*animation*/
	background: linear-gradient(90deg, rgb(255, 255, 255), #fff, rgb(255, 255, 255));
	background-repeat: no-repeat;
	background-size: 80%;
	animation: siteName 2.6s linear ;
	-webkit-text-fill-color: rgba(255, 255, 255, 0);
	-webkit-background-clip: text;
	color:white;
	}




#header{
	width:100%;
	height:700px;
	position:absolute;
	top:0px;
	left:0px;

}

.topBar{
	width: 100%;
	height:80px;
	position:absolute;
	top:0px;
	animation: topBar 2s;
	transition:linear 0.3s; 

}


.topBar-advanced{
	top:-100px;
}



ul{
	list-style:none;
	margin-left:0px;
	height:80%;
	position: absolute;
	top:-21%;
	left:10px;

}
#full{

		position:relative;
		top:-10px;
}

li{
	display: inline-block;
	margin-left:30px;
	margin-top:10px;
	padding:10px;
	transition: cubic-bezier(.79,.14,.15,.86)  0.5s;
	border-bottom:1px #0000 solid;
}

#full > li{
	padding-bottom:5px;
}

li:hover{
	border-bottom:1px white solid;
}

a{
	text-decoration:none;
	color:white;
	font-size:1.9em;
	font-family:topBar;
	text-transform:capitalize;
	outline:black 0px solid;
}


#settingsBtn{
	color:white;
	position: absolute;
	right:3px;
	bottom:3px;
	font-size:1.9em;
	cursor: pointer;
	transform-origin:center;
	transition:linear 3s;
}



/*setting panel*/
.settings{
	position: absolute;
	background:rgba(255, 255, 255, 0.15);
	width:60%;
	height:70%;
	top:15%;
	left:20%;
	padding:5px;
	border-radius:10px;
	resize: both;
	display: none;
	transition:linear 0.3s;	

}


.background{
	position: absolute;
	top: 0px;
	left: 0px;
	width:100%;
	height:100%;
	border-radius:10px;
	background:rgba(121, 121, 121, 0.356);
	filter: blur(10px);
}

#settingsExitBtn{
	position: absolute;
	right:7px;
	top:7px;
	width:30px;
	height:30px;
	font-size:15px;
	padding:0px;
	color: white;
}


.settings > h1{
	font-size:50px;
	font-family:topbar;
	text-transform: capitalize;
	margin-left:50px;
	margin-bottom:20px;
	color:rgb(255, 255, 255);

}

hr{
	background-color:rgba(255, 255, 255, 0.733);
	border:0px;
	margin-bottom:15px;
	margin-top:15px;
	width:100%;
	height:1px;
}

.settingsBody{
	width:100%;
	height:65%;
	overflow-y: scroll;
	/*border: 1px rgba(255, 255, 255, 0.733) solid;
	border-left:0px;
	border-right:0px;*/
	overflow-y: scroll;
	scrollbar-color: rgba(221, 221, 221, 0.541) rgba(138, 138, 138, 0.397);
	scrollbar-width:thin;

}

.settingsBody > div{
	display:block;
	margin-top:15px;
}


.settingsBody > div > input{
	border:rgb(221, 221, 221) 1px solid;
	background:rgba(255, 255, 255, 0);
	padding:5px;
	border-radius:30px;
	margin-left:15px;
	width:180px;
	height:40px;
	text-align: center;
	font-family: topbar;
	font-size:20px;
	color:white;
	transition: linear 0.3s;
	

}

.settingsBody > div > input:hover{
	background:rgba(255, 255, 255, 0.13);
}

.settingsBody > p{
	font-size:40px;
	font-family:topbar;
	text-transform: capitalize;
	margin-left:50px;
	margin-bottom:20px;
	color:rgb(255, 255, 255);

}

#personName{
	margin-bottom:5px;
	display: inline;
}

.settingsBody > div > button{
	position: relative;
	background:rgba(0, 0, 0, 0);
	border:rgb(221, 221, 221) 1px solid;
	padding:10px;
	margin-left:15px;
	border-radius:100%;
	width:50px;
	height:50px;
	cursor:pointer;
	margin-top:5px;
	top:5px;
	color:rgb(221, 221, 221);
}

.settingsBody > div > button:hover{
	color: red;
}



.settingsBody > div > button > i{
	position: relative;
	bottom:0px;
	font-size:25px;
	transition: linear 0.3s;
}

.settings > button{
	position: relative;
	background:rgba(0, 0, 0, 0);
	border:rgb(221, 221, 221) 1px solid;
	padding:10px;
	margin-left:10px;
	border-radius:100%;
	width:50px;
	height:50px;
	cursor:pointer;
	bottom:-2%;
	color:rgb(221, 221, 221);
	font-size:20px;
	transition: linear 0.3s;
}

.settings > button:hover{
	background:rgba(255, 255, 255, 0.13);

}

.correctTick:hover{
	color:lightgreen;
}

.settingsBody > div > i{
	position: relative;
	bottom:0px;
	font-size:25px;
	transition: linear 0.3s;
	margin-left:50px;
	font-size:12px;
}

#personName{
	margin-left: 70px;
}








/*--------------------animations----------------*/

@keyframes siteName {
	0% {
		background-size: 0%;
	}

	70% {
		background-size: 0%;
	}

	100% {
		background-size: 100%;
	}

  }


@keyframes topBar{

	0%{
		position:absolute;
		top:-10%;
		opacity:0;
	}

	20%{
		position:absolute;
		top:-10%;
		opacity:0;
	}

		100%{
		position:absolute;
		top:0px;
		opacity:1;
	}
}

@keyframes backgroundCon{

	0%{
		opacity:0;
	}

	30%{
		opacity:0;
	}

		100%{
		opacity:1;
	}
}





/*--------------------smaller window sixes----------------*/


@media only screen and (max-width: 900px){


.siteName{
	display:none;
	visibility: hidden;
	pointer-events: none;
}

.settings{
	width: 100%;
	height:100%;
	border-radius:0px;
	left:0px;
	top:0px;
	background: url("https://source.unsplash.com/collection/56878848/1920x1080");
}

#settingsExitBtn{

	right:15px;

}

.linkDiv{
	background:rgba(189, 189, 189, 0.219);
	padding-top:20px;
	padding-bottom:20px;
	width:220px;
	margin:auto;
	border-radius:30px;
	border:1px solid rgba(255, 255, 255, 0.301);
	margin-bottom:40px;
	transition:linear 0.4s;

}

.settingsBody > div > input{
	display:block;
	margin-top:10px;

}


.settingsBody > div > button{
	margin-left:37%;

}

.settingsBody > div > i{
	display:none;

}

}


